package com.bonus.sgzb.app.service;



import com.bonus.sgzb.base.api.domain.BmFlow;

import java.util.List;

/**
* Description:
* @Author 阮世耀
* @Create 2024/3/16 12:43
* @Version 1.0
*/

public interface BmFlowService{

    int deleteByPrimaryKey(Integer id);

    int insert(BmFlow record);

    int insertOrUpdate(BmFlow record);

    int insertOrUpdateSelective(BmFlow record);

    int insertSelective(BmFlow record);

    BmFlow selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(BmFlow record);

    int updateByPrimaryKey(BmFlow record);

    int updateBatch(List<BmFlow> list);

    int updateBatchSelective(List<BmFlow> list);

    int batchInsert(List<BmFlow> list);

}
